Source: graphicsmagick
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 11), pkg-config, libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev (>= 4.0.10), libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, libzstd-dev, perl (>= 5.20), ghostscript, gsfonts, transfig, sharutils, libltdl-dev
Standards-Version: 4.3.0
Homepage: http://www.graphicsmagick.org/

Package: graphicsmagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: graphicsmagick-doc, imagemagick (<< 6:6.2.4.4)
Suggests: graphicsmagick-dbg
Description: collection of image processing tools
 GraphicsMagick provides a set of command-line applications to manipulate
 image files. It is a fork of the ImageMagick project and therefore offers
 a similar set of features, but puts a larger emphasis on stability.
 .
 The tools support a large variety of image formats from the widely used
 jpeg, tiff, bmp or xpm to special-purpose formats such as fits or image
 formats found on some photo CDs. They can convert between formats,
 concatenate several images into one, annotate and distort them, create
 thumbnails or manipulate the colormap. While all features are available
 from the command-line, the package also includes an image viewer that
 allows interactive manipulation.
 .
 Note that unlike ImageMagick, the GraphicsMagick tools are accessed
 through a single executable called 'gm'. Therefore, GraphicsMagick and
 ImageMagick can be used in parallel. Install package
 graphicsmagick-imagemagick-compat to obtain a set of several executables
 that is compatible to ImageMagick's interface.

Package: libgraphicsmagick-q16-3
Architecture: any
Section: libs
Depends: libtiff5 (>= 4.0.10), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphicsmagick3 (>= 1.3.21)
Replaces: libgraphicsmagick3 (>= 1.3.21)
Recommends: ghostscript, gsfonts
Suggests: graphicsmagick-dbg
Description: format-independent image processing - C shared library
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C libraries needed to run executables that use
 the GraphicsMagick library.

Package: libgraphicsmagick1-dev
Architecture: any
Section: libdevel
Depends: libgraphicsmagick-q16-3 (= ${binary:Version}), libjpeg-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev (>= 4.0.10), libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, libzstd-dev, ${misc:Depends}
Breaks: libgraphicsmagick++1-dev (<< 1.3.21-2)
Suggests: graphicsmagick
Provides: libgraphicsmagick-dev
Description: format-independent image processing - C development files
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C development headers and library files needed to
 compile programs using the GraphicsMagick library.

Package: libgraphicsmagick++-q16-12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphicsmagick++-q16-11 (= 1.3.22-1)
Replaces: libgraphicsmagick++-q16-11 (= 1.3.22-1)
Breaks: python-pgmagick (<= 0.7.4-1), python3-pgmagick (<= 0.7.4-1), libgnudatalanguage0 (<= 0.9.9-9)
Suggests: graphicsmagick-dbg
Description: format-independent image processing - C++ shared library
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C++ libraries needed to run executables that use
 the GraphicsMagick++ library.

Package: libgraphicsmagick++1-dev
Architecture: any
Section: libdevel
Depends: libgraphicsmagick++-q16-12 (= ${binary:Version}), libgraphicsmagick1-dev, ${misc:Depends}
Suggests: graphicsmagick
Provides: libgraphicsmagick++-dev
Description: format-independent image processing - C++ development files
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C++ development headers and library files needed to
 compile programs using the GraphicsMagick++ library.

Package: libgraphics-magick-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: graphicsmagick-dbg
Description: format-independent image processing - perl interface
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the classes to access GraphicsMagick functionality from
 Perl scripts. It is mostly similar to PerlMagick from the ImageMagick suite,
 but uses a different class name.

Package: graphicsmagick-imagemagick-compat
Architecture: all
Depends: graphicsmagick, ${misc:Depends}
Provides: imagemagick
Conflicts: imagemagick
Replaces: imagemagick
Description: image processing tools providing ImageMagick interface
 GraphicsMagick provides a set of command-line applications to manipulate
 image files. It is a fork of the ImageMagick project and therefore offers
 a similar set of features, but puts a larger emphasis on stability.
 .
 With this package installed, the GraphicsMagick command line tools can
 be executed like their ImageMagick counterparts. It allows one to migrate
 scripts from ImageMagick to GraphicsMagick without any code changes.

Package: graphicsmagick-libmagick-dev-compat
Architecture: all
Depends: libgraphicsmagick1-dev, libgraphicsmagick++1-dev, libgraphics-magick-perl, ${misc:Depends}
Provides: libmagick-dev, libmagick++-dev, perlmagick
Conflicts: libmagick-dev, libmagickcore-dev, libmagick6-dev, libmagick9-dev, libmagick++-dev, libmagick++6-dev, libmagick++9-dev, perlmagick
Replaces: libmagick-dev, libmagickcore-dev, libmagick6-dev, libmagick9-dev, libmagick++-dev, libmagick++6-dev, libmagick++9-dev, perlmagick
Description: image processing libraries providing ImageMagick interface
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick libraries are a fork of ImageMagick and therefore offer
 programming interfaces that are mostly compatible. While there might be
 small differences, experience tells that many programs only use a compatible
 subset and build fine with either GraphicsMagick or ImageMagick. 
 .
 While GraphicsMagick uses different names for libraries, classes, and
 helper applications in order to coexist with ImageMagick, this package
 intends to minimise porting efforts by exporting the GraphicsMagick
 interface with the usual ImageMagick names. Note that this package only
 tries to provide build-time compatibility. Run-time libraries of
 ImageMagick and GraphicsMagick are incompatible and cannot be interchanged.
 .
 This package includes compatibility wrappers for the C, C++, and Perl
 libraries.

Package: graphicsmagick-dbg
Architecture: any
Section: debug
Depends: graphicsmagick (= ${binary:Version}), libgraphicsmagick-q16-3 (= ${binary:Version}), libgraphicsmagick++-q16-12 (= ${binary:Version}), libgraphics-magick-perl (= ${binary:Version}), ${misc:Depends}
Description: format-independent image processing - debugging symbols
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains debugging symbols for the gm executable as well as the
 C, C++, and Perl bindings. Tools like gdb and ltrace make use of these
 symbols.

